libximc: status_t Struct Reference

libximc 3.0.3

Data Fields
status_t Struct Reference

Device state. More...

`#include <ximc.h>`

## Data Fields
unsigned int | MoveSts
| Flags of move state.
unsigned int | MvCmdSts
| Move command state.
unsigned int | PWRSts
| Flags of power state of stepper motor.
unsigned int | EncSts
| Encoder state.
unsigned int | WindSts
| Winding state.
int | CurPosition
| Current position.
int | uCurPosition
| Step motor shaft position in microsteps.
long_t | EncPosition
| Current encoder position.
int | CurSpeed
| Motor shaft speed in steps/s or rpm.
int | uCurSpeed
| Fractional part of motor shaft speed in microsteps.
int | Ipwr
| Engine current, mA.
int | Upwr
| Power supply voltage, tens of mV.
int | Iusb
| USB current, mA.
int | Uusb
| USB voltage, tens of mV.
int | CurT
| Temperature, tenths of degrees Celsius.
unsigned int | Flags
| Status flags.
unsigned int | GPIOFlags
| Status flags of the GPIO outputs.
unsigned int | CmdBufFreeSpace
| This field is a service field.

## Detailed Description

Device state.

A useful structure that contains current controller state, including speed, position, and boolean flags.

See also
  get_status_impl

## Field Documentation

## ◆ CmdBufFreeSpace

unsigned int CmdBufFreeSpace

This field is a service field.

It shows the number of free synchronization chain buffer cells.

## ◆ CurPosition

int CurPosition

Current position.

## ◆ CurSpeed

int CurSpeed

Motor shaft speed in steps/s or rpm.

## ◆ CurT

int CurT

Temperature, tenths of degrees Celsius.

## ◆ EncPosition

long_t EncPosition

Current encoder position.

## ◆ EncSts

unsigned int EncSts

Encoder state.

## ◆ Flags

unsigned int Flags

Status flags.

## ◆ GPIOFlags

unsigned int GPIOFlags

Status flags of the GPIO outputs.

## ◆ Ipwr

int Ipwr

Engine current, mA.

## ◆ Iusb

int Iusb

USB current, mA.

## ◆ MoveSts

unsigned int MoveSts

Flags of move state.

## ◆ MvCmdSts

unsigned int MvCmdSts

Move command state.

## ◆ PWRSts

unsigned int PWRSts

Flags of power state of stepper motor.

## ◆ uCurPosition

int uCurPosition

Step motor shaft position in microsteps.

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings). Used with stepper motors only.

## ◆ uCurSpeed

int uCurSpeed

Fractional part of motor shaft speed in microsteps.

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings). Used with stepper motors only.

## ◆ Upwr

int Upwr

Power supply voltage, tens of mV.

## ◆ Uusb

int Uusb

USB voltage, tens of mV.

## ◆ WindSts

unsigned int WindSts

Winding state.